#!/bin/sh
# Load iSight firmware
#
### BEGIN INIT INFO
# Provides:          isight
# Required-Start:    $syslog $time
# Required-Stop:     $syslog $time
# Default-Start:     2 3 4 5
# Default-Stop:      S 0 1 6
# Short-Description: Loads isight firmware
# Description:       Loads firmware for Apple iSight camera

### END INIT INFO

case "$1" in
start)	echo "Loading iSight firmware..."
	isight-firmware-loader /lib/firmware/Apple*
	modprobe uvcvideo
	;;
stop)	echo "Unloading iSight driver..."
	rmmod uvcvideo
        ;;
restart) $0 stop
	$0 start
        ;;
esac
exit 0
